#pragma once

#include "CoreMinimal.h"
#include "EDBDAudioLanguage.h"
#include "DBDAudioLanguageSetting.generated.h"

USTRUCT(BlueprintType)
struct FDBDAudioLanguageSetting
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EDBDAudioLanguage Type;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString WwiseType;

public:
	DBDAUDIO_API FDBDAudioLanguageSetting();
};

FORCEINLINE uint32 GetTypeHash(const FDBDAudioLanguageSetting) { return 0; }
